Zum Hauptinhalt springen
GET
/
presets
/
{presetId}
Get a preset
curl --request GET \
  --url https://api.youka.io/api/v1/presets/{presetId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.youka.io/api/v1/presets/{presetId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.youka.io/api/v1/presets/{presetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "isDefault": true,
  "preset": {
    "aspectRatio": "16:9",
    "layout": {
      "type": "karaoke",
      "autoSplitLongLines": true,
      "linesPerScreen": 2,
      "alignment": "bottom",
      "paddingHorizontal": 0,
      "paddingVertical": 5,
      "languageSpacing": 5,
      "containerHeight": 100,
      "scrollingFadeStrength": 0.5,
      "lineTransition": "fade",
      "anticipationBuffer": 3
    },
    "background": {
      "type": "auto"
    },
    "singerTextStyles": {},
    "overlays": {
      "branding": {
        "logo": {
          "enabled": false,
          "position": "bottom-right",
          "paddingX": 20,
          "paddingY": 20,
          "scale": 0.1,
          "opacity": 1
        },
        "intro": {
          "enabled": false,
          "durationSeconds": 0,
          "effect": "fade",
          "effectDuration": 0.5
        },
        "outro": {
          "enabled": false,
          "durationSeconds": 0,
          "effect": "fade",
          "effectDuration": 0.5
        }
      },
      "titleCard": {
        "enabled": true,
        "duration": 5,
        "autoHideBeforeLyrics": true,
        "titleStyle": {
          "fontFamily": "Arimo",
          "fontSize": 200,
          "fontWeight": 700,
          "textColor": "#2185D0",
          "outlineColor": "#000000",
          "outlineWidth": 30
        },
        "artistStyle": {
          "fontFamily": "Arimo",
          "fontSize": 150,
          "fontWeight": 700,
          "textColor": "#FFFFFF",
          "outlineColor": "#000000",
          "outlineWidth": 30
        }
      },
      "leadIn": {
        "enabled": true,
        "beats": 4,
        "minGap": 3,
        "useNextSingerStyle": true,
        "style": {
          "color": "#2185D0",
          "outlineColor": "#000000",
          "outlineWidth": 3
        },
        "width": 0.2,
        "height": 1,
        "offsetX": -2,
        "offsetY": 0
      },
      "instrumentalBreak": {
        "hideLyrics": true,
        "minGap": 5,
        "displayDuration": 3
      },
      "breakCountdown": {
        "enabled": true,
        "maxDuration": 3,
        "animation": "fade",
        "useNextSingerStyle": false,
        "style": {
          "color": "#FFFFFF",
          "outlineColor": "#000000",
          "outlineWidth": 14.5
        },
        "textSize": 80,
        "hideBeforeEnd": 0
      },
      "breakProgressBar": {
        "enabled": true,
        "maxDuration": 10,
        "useNextSingerStyle": false,
        "style": {
          "color": "#2185D0",
          "outlineColor": "#000000",
          "outlineWidth": 5,
          "backgroundColor": "#FFFFFF",
          "fillColor": "#2185D0"
        },
        "width": 47,
        "height": 7.5,
        "position": "center",
        "cornerRadius": 0,
        "hideBeforeEnd": 0
      }
    },
    "trim": {
      "startSeconds": 0,
      "endSeconds": 0
    },
    "languageTextStyles": {},
    "chordTextStyle": {
      "fontFamily": "Arimo",
      "fontSize": 96,
      "fontWeight": 700,
      "textColor": "#FFFFFF",
      "outlineColor": "#000000",
      "outlineWidth": 20,
      "textEffect": "karaoke",
      "activeLineColor": "#fff09a",
      "effectColor": "#2185D0",
      "backgroundColor": "transparent",
      "letterSpacing": 0,
      "lineSpacing": 1.2,
      "textCase": "none",
      "textDirection": "auto",
      "shadowColor": "rgba(0,0,0,0.5)",
      "shadowBlur": 4,
      "shadowOffsetX": 0,
      "shadowOffsetY": 0,
      "duetPosition": "center",
      "shadowOpacity": 123
    }
  },
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Autorisierungen

Authorization
string
header
erforderlich

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Pfadparameter

presetId
string
erforderlich

Antwort

200 - application/json

Preset

id
string
erforderlich
name
string
erforderlich
isDefault
boolean
erforderlich
preset
object
erforderlich
createdAt
string
erforderlich
updatedAt
string
erforderlich